LOOKUP(3PVM)

NAME
pvm_lookup - retrieve data from pvmd database
[In Version 3.4: Relaced by pvm_getinfo]

SYNOPSIS
C	int cc = pvm_lookup( char *name, int index, int *data )
Fortran	Not available

PARAMETERS

name
    The class name, a null-terminated string.

index
    The class index, >= 0 or -1 for first available.

data
    Returns the data stored in the <name, index> entry.

DESCRIPTION
See pvm_insert(3PVM) for a description of this database. pvm_lookup retrieves data stored in the location given by <name, index>. If index is -1, the data stored at the first existing index in the named class is returned.

ERRORS
If successful, pvm_lookup returns the index at which the data was stored (>= 0), otherwise it returns a negative error code:

PvmBadParam
    giving an invalid argument value.

PvmNoEntry
    the requested <name, index> pair does not exist.

SEE ALSO
pvm_delete(3PVM), pvm_insert(3PVM)